---
title: DataView.prototype.setBigInt64()
slug: Web/JavaScript/Reference/Global_Objects/DataView/setBigInt64
tags:
  - BigInt
  - DataView
  - JavaScript
  - Method
  - Prototype
  - Reference
  - TypedArrays
  - setBigInt64
---
<div>{{JSRef}}</div>

<p>The <strong><code>setBigInt64()</code></strong> method stores a signed 64-bit integer (long long) value at the specified byte offset from the start of the {{jsxref("DataView")}}.</p>

<div>{{EmbedInteractiveExample("pages/js/dataview-setbigint64.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>dataview</var>.setBigInt64(byteOffset, value [, littleEndian])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>byteOffset</dt>
 <dd>The offset, in bytes, from the start of the view to store the data from.</dd>
 <dt>value</dt>
 <dd>The value to set as a {{jsxref("BigInt")}}. The highest possible value that fits in a signed 64-bit integer is <code><span class="blob-code-inner blob-code-marker">2n ** (64n -1n) - 1n</span></code><span class="blob-code-inner blob-code-marker"> (<code>9223372036854775807n</code>). Upon overflow, it will be negative (</span><code>-9223372036854775808n</code><span class="blob-code-inner blob-code-marker">).</span></dd>
 <dt>littleEndian</dt>
 <dd>{{optional_inline}} Indicates whether the 64-bit int is stored in <a href="/en-US/docs/Glossary/Endianness">little- or big-endian</a> format. If <code>false</code> or <code>undefined</code>, a big-endian value is written.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}.</p>

<h3 id="Errors_thrown">Errors thrown</h3>

<dl>
 <dt>{{jsxref("RangeError")}}</dt>
 <dd>Thrown if the <code>byteOffset</code> is set such that it would store beyond the end of the view.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_setBigInt64_method">Using the <code>setBigInt64</code> method</h3>

<pre class="brush:js">var buffer = new ArrayBuffer(8);
var dataview = new DataView(buffer);
dataview.setBigInt64(0, 3n);
dataview.getBigInt64(0); // 3n
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-dataview.prototype.setbigint64', 'DataView.prototype.setBigInt64()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.DataView.setBigInt64")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("DataView")}}</li>
 <li>{{jsxref("ArrayBuffer")}}</li>
 <li>{{jsxref("BigInt")}}</li>
</ul>
